DtEditorGetSizeHints(library call)

NAME
DtEditorGetSizeHints — retrieve sizing information from a DtEditor widget

SYNOPSIS

#include &<Dt/Editor.h>
void DtEditorGetSizeHints(
Widget widget,
XSizeHints *pHints);

DESCRIPTION

The DtEditorGetSizeHints function retrieves the current sizing information from a DtEditor widget, allowing the application to compute appropriate size hints for the window manager.

The widget argument specifies the DtEditor widget ID.

The pHints argument is a pointer to an XSizeHints structure into which the current sizing information is placed. The fields in this structure do not have to contain any values when it is passed in.

Upon successful completion, the DtEditorGetSizeHints function fills in the following fields of the XSizeHints structure: minimum width ( min_width) and height ( min_height); width ( width_inc) and height ( height_inc) increment; and base width ( base_width) and height ( base_height); otherwise, the structure is unchanged. The Flags field is set to:

PMinSize | PResizeInc | PBaseSize

RETURN VALUE

The DtEditorGetSizeHints function returns no value.

EXAMPLES

The following code segment sets the resize increment and minimum window size properties for the application.

Widget          editor,
                application_shell;
Display         display;
XSizeHints      size_hints;
long            supplied_return;
XGetWMSizeHints(display, XtWindow(application_shell),
                 &&size_hints, &&supplied_return, XA_WM_NORMAL_HINTS);
DtEditorGetSizeHints(editor, &&size_hints);
XSetWMSizeHints(display, XtWindow(application_shell),
                 &&size_hints, XA_WM_NORMAL_HINTS);

SEE ALSO

Dt/Editor.h - DtEditor(5), DtEditor(3).